## python-authentic2-auth-fc 0.17

=== debian/changelog ===
python-authentic2-auth-fc (0.17-1~eob70+1) wheezy-eobuilder; urgency=low

  * (6429b3) update french translation (#21908)
  * (2e5ac4) keep authentication context (fixes #21908)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 21 Sep 2018 09:21:39 +0200

python-authentic2-auth-fc (0.16) wheezy-eobuilder; urgency=low

  * (c21a16) don't alter can_reset_password flag for users without an FC account
    (#25655)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 21 Aug 2018 11:15:40 +0200

python-authentic2-auth-fc (0.15) wheezy-eobuilder; urgency=low

  * (9b8e49) remove use of context_instance (fixes #25532)
  * (681dcf) implement AppConfig.a2_hook_user_can_reset_password (fixes #25535)
  * (5f77fb) do not set a password on FranceConnect users (#25535)
  * (d5df65) don't load authentic2 template tags (#25393)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 03 Aug 2018 10:13:56 +0200

python-authentic2-auth-fc (0.14) wheezy-eobuilder; urgency=low

  * (daf3f2) templates: merge duplicated class attributes (#25353)
  * (7bffc5) misc: don't use addtoblock to insert fc.css (#25356)
  * (0caece) tests: add tests on new password related functions (#24835)
  * (631a86) app_settings: set password to random value by default (#24835)
  * (a57a98) views: ask for new passord on unlink only if logged using FC (#24835)
  * (f4fce3) utils: fix typo in warning log (#24835)
  * (186f35) utils: add special case for mapping the User.password (fixes #24835)
  * (215c1f) use REQUESTS_PROXIES instead of A2_FC_REQUESTS_PROXIES (#24929)
  * (38cc81) tox.ini: remove limitation on psycopg2 versions (to work with pg 10.4)
  * (deebd8) add fc requests proxies support (#24713)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 19 Jul 2018 08:33:37 +0200

python-authentic2-auth-fc (0.13) wheezy-eobuilder; urgency=low

  * (0a8628) views: prevent None success URL in unlink view (fixes #24708)
  * (25d618) debian: required python-requests>2.11 (fixes #23518)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 22 Jun 2018 15:39:50 +0200

python-authentic2-auth-fc (0.12) wheezy-eobuilder; urgency=low

  * (8df4f2) utils: fix access to verified property of mappings (fixes #23271)
  * (2b2f8c) remove url patterns to support django 1.11 (#23270)
  * (d8f825) do not allow unauthenticated access to unlink page (fixes #22405)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 26 Apr 2018 15:43:20 +0200

python-authentic2-auth-fc (0.11) wheezy-eobuilder; urgency=low

  * (afa481) api: add franceconnect information to user's API when ?full is used
    (fixes #21962)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 20 Feb 2018 11:10:06 +0100

python-authentic2-auth-fc (0.10) wheezy-eobuilder; urgency=low

  * (4bb9f7) locale: update french translations for release 0.10 (fixes #21874)
  * (0f877b) views: show warning to users with a mail linked to another FC account
    (fixes #21292)
  * (c701e6) retry HTTP requests 3 times (fixes #21783)
  * (738066) tox.ini: remove python-catchlog which is obsolete
  * (9340dc) documentation update (#20860)
  * (298c7f) add support for service slugs on login
  * (a0bc94) fix login with a non-unique email where an account linked to another FC
    account already exists
  * (3abded) augment timeout on POST to FC to 10 seconds (fixes #21596)
  * (28402b) add request to fc-link hook (fixes #20288)
  * (eddf2d) call a2 hooks for linking and unlinking events (fixes #20228)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 15 Feb 2018 14:38:55 +0100

python-authentic2-auth-fc (0.9.19) wheezy-eobuilder; urgency=low

  * (2e5bd9) update french translations (#20078)
  * (89fabb) views: change messages levels (#20078)
  * (a671f6) views: do not permit linking if the user has already a link to FC
    (#20078)
  * (e9b7ed) views: forbid automatic linking based on email if multiples users are
    found or if target user has already a link (fixes #20078)
  * (2b9901) backends: make sub parameter non optional in authenticate()
  * (313824) always unlink from all FC accounts (fixes #19947)
  * (612877) update FC logos (#19585)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 16 Nov 2017 10:45:40 +0100

python-authentic2-auth-fc (0.9.18) wheezy-eobuilder; urgency=low

  * (298760) update login and register buttons images (#19162)
  * (2c1ddc) replace logo image for account linking (#17391)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 16 Oct 2017 09:31:25 +0200

python-authentic2-auth-fc (0.9.17) wheezy-eobuilder; urgency=low

  * (b99873) views: force fc-register to always redirect post registration to fc-
    login-or-link (fixes #19270)
  * (73c774) utils: allow a mapping to depend from another using tags (fixes #19251)
  * (4c9dab) utils: add an if-empty modifier to only set a value from FC if the
    existing value is empty (fixes #19250)
  * (9789ac) utils: normalize mapping in apply_user_info_mappings (#19250)
  * (5dcdf8) views: block DisplayMessageBeforeRedirectMiddleware on redirect to FC
    (fixes #19247)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 09 Oct 2017 15:15:04 +0200

python-authentic2-auth-fc (0.9.16) wheezy-eobuilder; urgency=low

  * (39ea7f) utils: add a notempty transformation for attribute mappings (fixes
    #19233)
  * (0597b3) django 1.9 compatibility
  * (48f421) backends: always create new accounts in the default OU (fixes #18764)
  * (624992) views: automatically link user with existing email if email is unique
    (fixes #18763)
  * (4fb66c) models: check issuer using only URL scheme and netloc (fixes #18766)
  * (d36f11) tests: test with non ASCII characters
  * (7a91aa) utils: do not set absent references to None, ignore them instead (fixes
    #18765)
  * (8e68cc) style: switch to extra-body-class for custom body class (#17983)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 05 Oct 2017 15:33:08 +0200

python-authentic2-auth-fc (0.9.15) wheezy-eobuilder; urgency=low

  * (54ba99) views: remove dead code
  * (9f3ec4) utils: allow referencing a sub object of user_info in attribute mapping

