=== debian/control ===
Source: python-authentic2-auth-fc
Maintainer: Benjamin Dauvergne <info@entrouvert.com>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6), debhelper (>= 7.4.3),
 python-django (>= 1.5)
Standards-Version: 3.9.1
X-Python-Version: >= 2.6

Package: python-authentic2-auth-fc
Architecture: all
Depends: ${misc:Depends},
    python-authentic2 (>= 2.1.2.1009),
    python-requests (>= 2.11),
    python-requests-oauthlib
Description: FranceConnect authentication frontend for Authentic2
